package com.usoft.fin.grpc.dal.entity;

import java.math.BigDecimal;

/**
 * <pre>
 * 用户还款记录信息
 * 表名 : t_repay_detail
 * </pre>
 * @author: Mybatis Generator
 */
public class RepayDetail {
    /**
     * <pre>
     * id
     * 表字段 : t_repay_detail.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 还款明细编号
     * 表字段 : t_repay_detail.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 用户还款编号
     * 表字段 : t_repay_detail.repay_code
     * </pre>
     */
    private String repayCode;

    /**
     * <pre>
     * 还款日期
     * 表字段 : t_repay_detail.repay_date
     * </pre>
     */
    private String repayDate;

    /**
     * <pre>
     * 实际归还利息
     * 表字段 : t_repay_detail.actual_repay_interest
     * </pre>
     */
    private BigDecimal actualRepayInterest;

    /**
     * <pre>
     * 实际归还本金
     * 表字段 : t_repay_detail.actual_repay_principal
     * </pre>
     */
    private BigDecimal actualRepayPrincipal;

    /**
     * <pre>
     * 实际归还本息
     * 表字段 : t_repay_detail.should_repay_total
     * </pre>
     */
    private BigDecimal shouldRepayTotal;

    /**
     * <pre>
     * 逾期金额
     * 表字段 : t_repay_detail.over_repay_principal
     * </pre>
     */
    private BigDecimal overRepayPrincipal;

    /**
     * <pre>
     * 逾期利息
     * 表字段 : t_repay_detail.over_repay_interest
     * </pre>
     */
    private BigDecimal overRepayInterest;

    /**
     * <pre>
     * 逾期天数
     * 表字段 : t_repay_detail.over_date_count
     * </pre>
     */
    private Short overDateCount;

    /**
     * <pre>
     * id
     * 表字段 : t_repay_detail.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_repay_detail.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 还款明细编号
     * 表字段 : t_repay_detail.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 还款明细编号
     * 表字段 : t_repay_detail.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 用户还款编号
     * 表字段 : t_repay_detail.repay_code
     * </pre>
     */
    public String getRepayCode() {
        return repayCode;
    }

    /**
     * <pre>
     * 用户还款编号
     * 表字段 : t_repay_detail.repay_code
     * </pre>
     */
    public void setRepayCode(String repayCode) {
        this.repayCode = repayCode == null ? null : repayCode.trim();
    }

    /**
     * <pre>
     * 还款日期
     * 表字段 : t_repay_detail.repay_date
     * </pre>
     */
    public String getRepayDate() {
        return repayDate;
    }

    /**
     * <pre>
     * 还款日期
     * 表字段 : t_repay_detail.repay_date
     * </pre>
     */
    public void setRepayDate(String repayDate) {
        this.repayDate = repayDate == null ? null : repayDate.trim();
    }

    /**
     * <pre>
     * 实际归还利息
     * 表字段 : t_repay_detail.actual_repay_interest
     * </pre>
     */
    public BigDecimal getActualRepayInterest() {
        return actualRepayInterest;
    }

    /**
     * <pre>
     * 实际归还利息
     * 表字段 : t_repay_detail.actual_repay_interest
     * </pre>
     */
    public void setActualRepayInterest(BigDecimal actualRepayInterest) {
        this.actualRepayInterest = actualRepayInterest;
    }

    /**
     * <pre>
     * 实际归还本金
     * 表字段 : t_repay_detail.actual_repay_principal
     * </pre>
     */
    public BigDecimal getActualRepayPrincipal() {
        return actualRepayPrincipal;
    }

    /**
     * <pre>
     * 实际归还本金
     * 表字段 : t_repay_detail.actual_repay_principal
     * </pre>
     */
    public void setActualRepayPrincipal(BigDecimal actualRepayPrincipal) {
        this.actualRepayPrincipal = actualRepayPrincipal;
    }

    /**
     * <pre>
     * 实际归还本息
     * 表字段 : t_repay_detail.should_repay_total
     * </pre>
     */
    public BigDecimal getShouldRepayTotal() {
        return shouldRepayTotal;
    }

    /**
     * <pre>
     * 实际归还本息
     * 表字段 : t_repay_detail.should_repay_total
     * </pre>
     */
    public void setShouldRepayTotal(BigDecimal shouldRepayTotal) {
        this.shouldRepayTotal = shouldRepayTotal;
    }

    /**
     * <pre>
     * 逾期金额
     * 表字段 : t_repay_detail.over_repay_principal
     * </pre>
     */
    public BigDecimal getOverRepayPrincipal() {
        return overRepayPrincipal;
    }

    /**
     * <pre>
     * 逾期金额
     * 表字段 : t_repay_detail.over_repay_principal
     * </pre>
     */
    public void setOverRepayPrincipal(BigDecimal overRepayPrincipal) {
        this.overRepayPrincipal = overRepayPrincipal;
    }

    /**
     * <pre>
     * 逾期利息
     * 表字段 : t_repay_detail.over_repay_interest
     * </pre>
     */
    public BigDecimal getOverRepayInterest() {
        return overRepayInterest;
    }

    /**
     * <pre>
     * 逾期利息
     * 表字段 : t_repay_detail.over_repay_interest
     * </pre>
     */
    public void setOverRepayInterest(BigDecimal overRepayInterest) {
        this.overRepayInterest = overRepayInterest;
    }

    /**
     * <pre>
     * 逾期天数
     * 表字段 : t_repay_detail.over_date_count
     * </pre>
     */
    public Short getOverDateCount() {
        return overDateCount;
    }

    /**
     * <pre>
     * 逾期天数
     * 表字段 : t_repay_detail.over_date_count
     * </pre>
     */
    public void setOverDateCount(Short overDateCount) {
        this.overDateCount = overDateCount;
    }
}